vike
API EndpointsHyperliquid

/wallets/{address}/fills

Raw fills — the level below round-trip trades.

GET https://data.vike.io/v1/hyperliquid/wallets/{address}/fills

Raw fills — the level below round-trip trades.

cURL
# the newest raw fills of one wallet
curl -s "https://data.vike.io/v1/hyperliquid/wallets/0x25773676902085225ae5751075e4161369334897/fills?limit=3" \
  -H "X-API-KEY: $VIKE_API_KEY"

# next page of the call just above: NEXT is its nextCursor, passed back verbatim
curl -s "https://data.vike.io/v1/hyperliquid/wallets/0x25773676902085225ae5751075e4161369334897/fills?limit=3&cursor=$NEXT" \
  -H "X-API-KEY: $VIKE_API_KEY"

# one coin, sells only
curl -s "https://data.vike.io/v1/hyperliquid/wallets/0x25773676902085225ae5751075e4161369334897/fills?coin=BTC&side=sell&limit=100" \
  -H "X-API-KEY: $VIKE_API_KEY"

# a one-hour slice, the largest page the route serves, for reconstructing a single move
curl -s "https://data.vike.io/v1/hyperliquid/wallets/0x25773676902085225ae5751075e4161369334897/fills?start=2026-09-01T12:00:00Z&end=2026-09-01T13:00:00Z&limit=5000" \
  -H "X-API-KEY: $VIKE_API_KEY"

# maker versus taker mix of a page
curl -s "https://data.vike.io/v1/hyperliquid/wallets/0x25773676902085225ae5751075e4161369334897/fills?limit=1000" \
  -H "X-API-KEY: $VIKE_API_KEY" \
  | jq '.items | {fills: length, maker: (map(select(.is_maker)) | length)}'
addresspathrequired
The wallet
coinqueryoptional
HL coin ticker
startqueryoptional
ISO-8601 UTC bounds
endqueryoptional
ISO-8601 UTC bounds
sidequeryoptional
buy | sell
limitqueryoptional
Default 100, max 5000
cursorqueryoptional
Keyset cursor
Example response
{
  "wallet": "0x25773676902085225ae5751075e4161369334897",
  "items": [
    {
      "ts": "2026-09-03T08:07:48.351000+00:00",
      "asset": "xyz:PLATINUM",
      "side": "sell",
      "direction": "sell",
      "size_token": 0.1,
      "price": 1789.3,
      "size_usd": 178.93,
      "fee": -0.000178,
      "fee_token": "USDC",
      "is_maker": true,
      "crossed": false,
      "closed_pnl": 1.387,
      "order_id": 534782948640,
      "trade_id": 629173489889533,
      "dex_name": "XYZ"
    },
    {
      "ts": "2026-09-03T08:07:41.879000+00:00",
      "asset": "xyz:PLATINUM",
      "side": "sell",
      "direction": "sell",
      "size_token": 0.025,
      "price": 1789.2,
      "size_usd": 44.730000000000004,
      "fee": 0.001502,
      "fee_token": "USDC",
      "is_maker": false,
      "crossed": true,
      "closed_pnl": 0.34425,
      "order_id": 534782918094,
      "trade_id": 440416105012118,
      "dex_name": "XYZ"
    },
    {
      "ts": "2026-09-03T08:07:41.054000+00:00",
      "asset": "xyz:SKHX",
      "side": "sell",
      "direction": "sell",
      "size_token": 0.646,
      "price": 1181.0,
      "size_usd": 762.926,
      "fee": -0.000762,
      "fee_token": "USDC",
      "is_maker": true,
      "crossed": false,
      "closed_pnl": 0.0,
      "order_id": 534782865245,
      "trade_id": 1107832820522232,
      "dex_name": "XYZ"
    }
  ],
  "nextCursor": "eyJpIjoxMTA3ODMyODIwNTIyMjMyLCJ0IjoiMjAyNi0wOS0wMyAwODowNzo0MS4wNTQifQ"
}
cURL
# the newest raw fills of one walletcurl -s "https://data.vike.io/v1/hyperliquid/wallets/0x25773676902085225ae5751075e4161369334897/fills?limit=3" \  -H "X-API-KEY: $VIKE_API_KEY"# next page of the call just above: NEXT is its nextCursor, passed back verbatimcurl -s "https://data.vike.io/v1/hyperliquid/wallets/0x25773676902085225ae5751075e4161369334897/fills?limit=3&cursor=$NEXT" \  -H "X-API-KEY: $VIKE_API_KEY"# one coin, sells onlycurl -s "https://data.vike.io/v1/hyperliquid/wallets/0x25773676902085225ae5751075e4161369334897/fills?coin=BTC&side=sell&limit=100" \  -H "X-API-KEY: $VIKE_API_KEY"# a one-hour slice, the largest page the route serves, for reconstructing a single movecurl -s "https://data.vike.io/v1/hyperliquid/wallets/0x25773676902085225ae5751075e4161369334897/fills?start=2026-09-01T12:00:00Z&end=2026-09-01T13:00:00Z&limit=5000" \  -H "X-API-KEY: $VIKE_API_KEY"# maker versus taker mix of a pagecurl -s "https://data.vike.io/v1/hyperliquid/wallets/0x25773676902085225ae5751075e4161369334897/fills?limit=1000" \  -H "X-API-KEY: $VIKE_API_KEY" \  | jq '.items | {fills: length, maker: (map(select(.is_maker)) | length)}'
Example response
{  "wallet": "0x25773676902085225ae5751075e4161369334897",  "items": [    {      "ts": "2026-09-03T08:07:48.351000+00:00",      "asset": "xyz:PLATINUM",      "side": "sell",      "direction": "sell",      "size_token": 0.1,      "price": 1789.3,      "size_usd": 178.93,      "fee": -0.000178,      "fee_token": "USDC",      "is_maker": true,      "crossed": false,      "closed_pnl": 1.387,      "order_id": 534782948640,      "trade_id": 629173489889533,      "dex_name": "XYZ"    },    {      "ts": "2026-09-03T08:07:41.879000+00:00",      "asset": "xyz:PLATINUM",      "side": "sell",      "direction": "sell",      "size_token": 0.025,      "price": 1789.2,      "size_usd": 44.730000000000004,      "fee": 0.001502,      "fee_token": "USDC",      "is_maker": false,      "crossed": true,      "closed_pnl": 0.34425,      "order_id": 534782918094,      "trade_id": 440416105012118,      "dex_name": "XYZ"    },    {      "ts": "2026-09-03T08:07:41.054000+00:00",      "asset": "xyz:SKHX",      "side": "sell",      "direction": "sell",      "size_token": 0.646,      "price": 1181.0,      "size_usd": 762.926,      "fee": -0.000762,      "fee_token": "USDC",      "is_maker": true,      "crossed": false,      "closed_pnl": 0.0,      "order_id": 534782865245,      "trade_id": 1107832820522232,      "dex_name": "XYZ"    }  ],  "nextCursor": "eyJpIjoxMTA3ODMyODIwNTIyMjMyLCJ0IjoiMjAyNi0wOS0wMyAwODowNzo0MS4wNTQifQ"}